# Interface IpfsNode

interface IpfsNode {
add: ((content, options?) => Promise<string>);
cat: ((cid, options?) => AsyncIterable<Uint8Array>);
config: IpfsNodePrperties;
connectPeer: ((address) => Promise<boolean>);
getPeers: (() => Promise<string[]>);
info: (() => Promise<IpfsNodeInfo>);
init: ((options?) => Promise<void>);
isStarted: boolean;
ls: (() => AsyncIterable<LsResult>);
nodeType: IpfsNodeType;
pin: ((cid, options?) => Promise<string>);
start: (() => Promise<void>);
stat: ((cid, options?) => Promise<IpfsFileStats>);
stop: (() => Promise<void>);
}

#### Hierarchy (view full)

- IpfsNode
  - CybIpfsNode

#### Implemented by

- default
- default
- default

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:124

#####
Index

### Properties

add
cat
config
connectPeer
getPeers
info
init
isStarted
ls
nodeType
pin
start
stat
stop

## Properties

### add

add: ((content, options?) => Promise<string>)

#### Type declaration

- - (content, options?): Promise<string>

  - #### Parameters

    - content: string | File
    - `Optional` options: AbortOptions

    #### Returns Promise<string>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:133

### cat

cat: ((cid, options?) => AsyncIterable<Uint8Array>)

#### Type declaration

- - (cid, options?): AsyncIterable<Uint8Array>

  - #### Parameters

    - cid: string
    - `Optional` options: CatOptions

    #### Returns AsyncIterable<Uint8Array>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:131

### `Readonly` config

config: IpfsNodePrperties

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:126

### connectPeer

connectPeer: ((address) => Promise<boolean>)

#### Type declaration

- - (address): Promise<boolean>

  - #### Parameters

    - address: string

    #### Returns Promise<boolean>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:137

### getPeers

getPeers: (() => Promise<string[]>)

#### Type declaration

- - (): Promise<string[]>

  - #### Returns Promise<string[]>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:136

### info

info: (() => Promise<IpfsNodeInfo>)

#### Type declaration

- - (): Promise<IpfsNodeInfo>

  - #### Returns Promise<IpfsNodeInfo>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:138

### init

init: ((options?) => Promise<void>)

#### Type declaration

- - (options?): Promise<void>

  - #### Parameters

    - `Optional` options: InitOptions

    #### Returns Promise<void>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:128

### `Readonly` isStarted

isStarted: boolean

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:127

### ls

ls: (() => AsyncIterable<LsResult>)

#### Type declaration

- - (): AsyncIterable<LsResult>

  - #### Returns AsyncIterable<LsResult>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:135

### `Readonly` nodeType

nodeType: IpfsNodeType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:125

### pin

pin: ((cid, options?) => Promise<string>)

#### Type declaration

- - (cid, options?): Promise<string>

  - #### Parameters

    - cid: string
    - `Optional` options: AbortOptions

    #### Returns Promise<string>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:134

### start

start: (() => Promise<void>)

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:130

### stat

stat: ((cid, options?) => Promise<IpfsFileStats>)

#### Type declaration

- - (cid, options?): Promise<IpfsFileStats>

  - #### Parameters

    - cid: string
    - `Optional` options: AbortOptions

    #### Returns Promise<IpfsFileStats>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:132

### stop

stop: (() => Promise<void>)

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:129